iDynamicsMoveCallback Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iDynamicsMoveCallback Struct Reference

This is the interface for a dynamics move callback. More...

`#include <ivaria/dynamics.h>`

Inheritance diagram for iDynamicsMoveCallback:

List of all members.

## Public Member Functions
virtual void | Execute (iMeshWrapper *mesh, csOrthoTransform &t)=0
| Update the position of the mesh with the specified transform.
virtual void | Execute (iLight *light, csOrthoTransform &t)=0
| Update the position of the light with the specified transform.
virtual void | Execute (iCamera *camera, csOrthoTransform &t)=0
| Update the position of the camera with the specified transform.
virtual void | Execute (csOrthoTransform &t)=0
| Update the position of the rigid body with the specified transform.

## Detailed Description

This is the interface for a dynamics move callback.

Set on iRigidBody, it can update attachments after each step.

Main ways to get pointers to this interface:

- application specific
- iDynamicSystem::GetDefaultMoveCallback()

Main users of this interface:

- iDynamicSystem

Definition at line 398 of file dynamics.h.

## Member Function Documentation

virtual void iDynamicsMoveCallback::Execute | ( | iMeshWrapper * | mesh,
|  | csOrthoTransform & | t
| ) |  | `[pure virtual]`

Update the position of the mesh with the specified transform.

virtual void iDynamicsMoveCallback::Execute | ( | iLight * | light,
|  | csOrthoTransform & | t
| ) |  | `[pure virtual]`

Update the position of the light with the specified transform.

virtual void iDynamicsMoveCallback::Execute | ( | iCamera * | camera,
|  | csOrthoTransform & | t
| ) |  | `[pure virtual]`

Update the position of the camera with the specified transform.

virtual void iDynamicsMoveCallback::Execute | ( | csOrthoTransform & | t | ) | `[pure virtual]`

Update the position of the rigid body with the specified transform.

If you want to attach to the rigid body an object different than a mesh, a camera or a light, then you should reimplement this method and update here the position of your object.

The documentation for this struct was generated from the following file:

- ivaria/dynamics.h